
/**
* Ditopn Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index";
export default {

    "didgrp.rec.resflg": defaultDidgrpRecResflg,
    "mtabut.coninf.usr.extkey": defaultMtabutConinfUsrExtkey,
    "didgrp.apc.pts.bankno": defaultDidgrpApcPtsBankno,
    "trnmod.trndoc.advnam": defaultTrnmodTrndocAdvnam,
    "ditp.rmbp.det": defaultDitpRmbpDet,
    "liaall.limmod.limpts.oth.pts.nam": defaultLiaallLimmodLimptsOthPtsNam,
    "didgrp.rmb.pts.extkey": defaultDidgrpRmbPtsExtkey,
    "setmod.dspflg": defaultSetmodDspflg,
    "liaall.limmod.othp.det": defaultLiaallLimmodOthpDet,
    "mtabut.coninf.oitinf.labinftxt": defaultMtabutConinfOitinfLabinftxt,   
    "mtabut.coninf.oitset.labinftxt": defaultMtabutConinfOitsetLabinftxt,
    "ditp.benp.det": defaultDitpBenpDet,
    "liaall.limmod.limpts.lsh": defaultLiaallLimmodLimptsLsh,
    "didgrp.rec.bdflg": defaultDidgrpRecBdflg,
    "ditp.lcrgod.buttxmsel": defaultDitpLcrgodButtxmsel,
    "didgrp.rec.opndat": defaultDidgrpRecOpndat,
    "liaall.limmod.wrkp.det": defaultLiaallLimmodWrkpDet,
    "ditp.usr.extkey": defaultDitpUsrExtkey,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd": defaultLiaallLimmodWrkpPtsgetSdamodDadsnd,
    "ditp.butgetref": defaultDitpButgetref,
    "didgrp.ben.pts.extkey": defaultDidgrpBenPtsExtkey,
    "didgrp.blk.lcrdoc": defaultDidgrpBlkLcrdoc,
    "ditp.rmbp.ptsget.sdamod.dadsnd": defaultDitpRmbpPtsgetSdamodDadsnd,
    "litameadv": defaultLitameadv,
    "didgrp.blk.adlcnd": defaultDidgrpBlkAdlcnd,
    "didgrp.apl.pts.ref": defaultDidgrpAplPtsRef,
    "didgrp.rec.fqtime": defaultDidgrpRecFqtime,
    "didgrp.cmb.pts.bankno": defaultDidgrpCmbPtsBankno,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd": defaultLiaallLimmodOthpPtsgetSdamodDadsnd,
    "didgrp.apb.pts.bankno": defaultDidgrpApbPtsBankno,
    "didgrp.rec.redclsflg": defaultDidgrpRecRedclsflg,
    "didgrp.rec.concur": defaultDidgrpRecConcur,
    "liaall.limmod.trycal": defaultLiaallLimmodTrycal,
    "trnmod.trndoc.advlabel": defaultTrnmodTrndocAdvlabel,
    "liaall.liaccv.del": defaultLiaallLiaccvDel,
    "didgrp.iss.pts.bankno": defaultDidgrpIssPtsBankno,
    "liaall.butmissig": defaultLiaallButmissig,
    "ditp.revclause.buttxmsel": defaultDitpRevclauseButtxmsel,
    "didgrp.cbs.nom1.cur": defaultDidgrpCbsNom1Cur,
    "didgrp.cbs.nom1.amt": defaultDidgrpCbsNom1Amt,
    "setmod.zmqacc": defaultSetmodZmqacc,
    "ditp.amt": defaultDitpAmt,
    "didgrp.rec.mytype": defaultDidgrpRecMytype,
    "setmod.xreflg": defaultSetmodXreflg,
    "didgrp.rec.avbwth": defaultDidgrpRecAvbwth,
    "didgrp.rmb.pts.ref": defaultDidgrpRmbPtsRef,
    "mtabut.coninf.oitinf.oit.inflev": defaultMtabutConinfOitinfOitInflev,
    "liaall.liaccv.relcshpct": defaultLiaallLiaccvRelcshpct,
    "didgrp.rec.expplc": defaultDidgrpRecExpplc,
    "didgrp.adv.pts.bankno": defaultDidgrpAdvPtsBankno,
    "didgrp.ben.pts.ref": defaultDidgrpBenPtsRef,
    "didgrp.rec.sdsrfs": defaultDidgrpRecSdsrfs,
    "trnmod.trndoc.advdoc": defaultTrnmodTrndocAdvdoc,
    "liaall.liaccv.newamt": defaultLiaallLiaccvNewamt,
    "didgrp.rec.shppar": defaultDidgrpRecShppar,
    "liaall.limmod.limpts.pfcod2": defaultLiaallLimmodLimptsPfcod2,
    "liaall.limmod.limpts.pfcod1": defaultLiaallLimmodLimptsPfcod1,
    "didgrp.apl.pts.extkey": defaultDidgrpAplPtsExtkey,
    "didgrp.blk.defdet": defaultDidgrpBlkDefdet,
    "didgrp.blk.insbnk": defaultDidgrpBlkInsbnk,
    "liaall.liaccv.totcovamt": defaultLiaallLiaccvTotcovamt,
    "ditp.aplname": defaultDitpAplname,
    "didgrp.rec.guaflg": defaultDidgrpRecGuaflg,
    "liaall.limmod.limpts.wrk.pts.nam": defaultLiaallLimmodLimptsWrkPtsNam,
    "liaall.liaccv.gleflg": defaultLiaallLiaccvGleflg,
    "ditp.preper.buttxmsel": defaultDitpPreperButtxmsel,
    "liaall.liaccv.newresamt": defaultLiaallLiaccvNewresamt,
    "didgrp.blk.lcrgod": defaultDidgrpBlkLcrgod,
    "didgrp.rec.autdat": defaultDidgrpRecAutdat,
    "didgrp.rec.idcode": defaultDidgrpRecIdcode,
    "didgrp.rec.dkflg": defaultDidgrpRecDkflg,
    "didgrp.rmb.pts.adrblk": defaultDidgrpRmbPtsAdrblk,
    "setmod.zmqacclab": defaultSetmodZmqacclab,
    "didgrp.rec.shptrs": defaultDidgrpRecShptrs,
    "ditp.aplp.det": defaultDitpAplpDet,
    "didgrp.adv.pts.extkey": defaultDidgrpAdvPtsExtkey,
    "liaall.limmod.limpts.get2": defaultLiaallLimmodLimptsGet2,
    "ditp.adlcnd.buttxmsel": defaultDitpAdlcndButtxmsel,
    "liaall.limmod.limpts.get1": defaultLiaallLimmodLimptsGet1,
    "bchname": defaultBchname,
    "didgrp.rec.tenmaxday": defaultDidgrpRecTenmaxday,
    "ditp.remark": defaultDitpRemark,
    "liaall.limmod.limpts.oth.pts.extkey": defaultLiaallLimmodLimptsOthPtsExtkey,
    "didgrp.rec.nam": defaultDidgrpRecNam,
    "liaall.butmisamt": defaultLiaallButmisamt,
    "liaall.limmod.ecifno": defaultLiaallLimmodEcifno,
    "liaall.liaccv.chgcurflg": defaultLiaallLiaccvChgcurflg,
    "ditp.insbnk.buttxmsel": defaultDitpInsbnkButtxmsel,
    "ditp.benp.ptsget.sdamod.dadsnd": defaultDitpBenpPtsgetSdamodDadsnd,
    "didgrp.iss.pts.extkey": defaultDidgrpIssPtsExtkey,
    "didgrp.rec.fqzytgfw": defaultDidgrpRecFqzytgfw,
    "ditp.aplp.ptsget.sdamod.dadsnd": defaultDitpAplpPtsgetSdamodDadsnd,
    "didgrp.avb.pts.bankno": defaultDidgrpAvbPtsBankno,
    "didgrp.rmb.pts.bankno": defaultDidgrpRmbPtsBankno,
    "trnmod.trndoc.amdapl": defaultTrnmodTrndocAmdapl,
    "liaall.liaccv.pctresamt": defaultLiaallLiaccvPctresamt,
    "ditp.lcrdoc.buttxmsel": defaultDitpLcrdocButtxmsel,
    "mtabut.coninf.oitset.oit.inflev": defaultMtabutConinfOitsetOitInflev,
    "ditp.defdet.buttxmsel": defaultDitpDefdetButtxmsel,
    "didgrp.beb.pts.bankno": defaultDidgrpBebPtsBankno,
    "didgrp.apl.pts.adrblk": defaultDidgrpAplPtsAdrblk,
    "didgrp.rec.lcrtyp": defaultDidgrpRecLcrtyp,
    "liaall.limmod.limpts.wrk.pts.extkey": defaultLiaallLimmodLimptsWrkPtsExtkey,
    "mtabut.coninf.conexedat": defaultMtabutConinfConexedat,
    "didgrp.ben.pts.adrblk": defaultDidgrpBenPtsAdrblk,
    "liaall.limmod.limpts.nonrevflg2": defaultLiaallLimmodLimptsNonrevflg2,
    "liaall.limmod.limpts.nonrevflg1": defaultLiaallLimmodLimptsNonrevflg1,
    "liaall.liaccv.addinf": defaultLiaallLiaccvAddinf,
    "trnmod.trndoc.amdnam": defaultTrnmodTrndocAmdnam,
    "liaall.liaccv.cshpct": defaultLiaallLiaccvCshpct,
    "didgrp.blk.preper": defaultDidgrpBlkPreper,
    "didgrp.cbs.max.amt": defaultDidgrpCbsMaxAmt,
    "didgrp.rec.nomtop": defaultDidgrpRecNomtop,
    "didgrp.rec.nomton": defaultDidgrpRecNomton
}
function defaultDidgrpRecResflg() {
}
function defaultMtabutConinfUsrExtkey() {
}
function defaultDidgrpApcPtsBankno() {
}
function defaultTrnmodTrndocAdvnam() {
}
function defaultDitpRmbpDet() {
}
function defaultLiaallLimmodLimptsOthPtsNam() {
}
function defaultDidgrpRmbPtsExtkey() {
}
function defaultSetmodDspflg() {
}
function defaultLiaallLimmodOthpDet() {
}
function defaultMtabutConinfOitinfLabinftxt() {
}
function defaultMtabutConinfOitsetLabinftxt() {
}
function defaultDitpBenpDet() {
}
function defaultLiaallLimmodLimptsLsh() {
}
function defaultDidgrpRecBdflg(rule, value, callback) {
    const that = this;
    that.executeDefault("didgrp.rec.bdflg").then(res => {
        that.model.didgrp.rec.bdflg = res.data.didgrp_rec_bdflg
        callback()
    })
}
function defaultDitpLcrgodButtxmsel() {
}
function defaultDidgrpRecOpndat(rule, value, callback) {
    const that = this;
    that.executeDefault("didgrp.rec.opndat").then(res => {
        that.model.didgrp.rec.opndat = res.data.didgrp_rec_opndat
        callback()
    })
}
function defaultLiaallLimmodWrkpDet() {
}
function defaultDitpUsrExtkey() {
}
function defaultLiaallLimmodWrkpPtsgetSdamodDadsnd() {
}
function defaultDitpButgetref() {
}
function defaultDidgrpBenPtsExtkey() {
}
function defaultDidgrpBlkLcrdoc(rule, value, callback) {
    const that = this;
    that.executeDefault("didgrp.blk.lcrdoc").then(res => {
        that.model.didgrp.blk.lcrdoc = res.data.didgrp_blk_lcrdoc;
        callback()
    })
}
function defaultDitpRmbpPtsgetSdamodDadsnd() {
}
function defaultLitameadv(rule, value, callback) {
    const that = this;
    that.executeDefault("litameadv").then(res => {
        that.model.ameadvrmk = res.data.ameadvrmk;
        callback()
    })
}
function defaultDidgrpBlkAdlcnd() {

}
function defaultDidgrpAplPtsRef() {
}
function defaultDidgrpRecFqtime() {
}
function defaultDidgrpCmbPtsBankno() {
}
function defaultLiaallLimmodOthpPtsgetSdamodDadsnd() {
}
function defaultDidgrpApbPtsBankno() {
}
function defaultDidgrpRecRedclsflg() {
}
function defaultDidgrpRecConcur() {
}
function defaultLiaallLimmodTrycal() {
}
function defaultTrnmodTrndocAdvlabel() {
}
function defaultLiaallLiaccvDel() {
}
function defaultDidgrpIssPtsBankno() {
}
function defaultLiaallButmissig() {
}
function defaultDitpRevclauseButtxmsel() {
}
function defaultDidgrpCbsNom1Cur(rule, value, callback)
{
    const that = this;
    // 摘要
    that.executeDefault("didgrp.rec.nam").then(res => {
        that.model.didgrp.cbs.max.cur = value;
        that.model.didgrp.rec.nam = res.data.didgrp_rec_nam;
        callback()
    })
}
function defaultDidgrpCbsNom1Amt(rule, value, callback) {
    const that = this;
    // 信用证最大金额
    caculateMaxAmt(that, callback)
    // // 大写金额
    // that.executeDefault("ditp.amt").then(res => {
    //     that.model.ditp.amt = res.data.ditp_amt;
    // })
    // // 摘要
    // that.executeDefault("didgrp.rec.nam").then(res => {
    //     that.model.didgrp.rec.nam = res.data.didgrp_rec_nam;
    // })
    // callback()
}
function defaultSetmodZmqacc() {
}
function defaultDitpAmt() {
}
function defaultDidgrpRecMytype() {
}
function defaultSetmodXreflg() {
}
function defaultDidgrpRecAvbwth(rule, value, callback) {
    const that = this;
    that.executeDefault("didgrp.rec.avbwth").then(res => {
        //TODO
        callback()
    })
}
function defaultDidgrpRmbPtsRef() {
}
function defaultMtabutConinfOitinfOitInflev() {
}
function defaultLiaallLiaccvRelcshpct() {
}
function defaultDidgrpRecExpplc() {
}
function defaultDidgrpAdvPtsBankno(rule, value, callback) {
    // const that = this;
    // that.executeRule("didgrp.adv.pts.bankno,didgrp.rec.avbwth").then(res => {
    //     //TODO
    //     callback()
    // })
}
function defaultDidgrpBenPtsRef() {
}
function defaultDidgrpRecSdsrfs() {
}
function defaultTrnmodTrndocAdvdoc() {
}
function defaultLiaallLiaccvNewamt() {
}
function defaultDidgrpRecShppar() {
}
function defaultLiaallLimmodLimptsPfcod2() {
}
function defaultLiaallLimmodLimptsPfcod1() {
}
function defaultDidgrpAplPtsExtkey() {
}
function defaultDidgrpBlkDefdet() {
}
function defaultDidgrpBlkInsbnk(rule, value, callback) {
    const that = this;
    that.executeDefault("didgrp.blk.insbnk").then(res => {
        that.model.didgrp.blk.insbnk = res.data.didgrp_blk_insbnk;
        callback()
    })
}
function defaultLiaallLiaccvTotcovamt() {
}
function defaultDitpAplname() {
}
function defaultDidgrpRecGuaflg() {
}
function defaultLiaallLimmodLimptsWrkPtsNam() {
}
function defaultLiaallLiaccvGleflg() {
}
function defaultDitpPreperButtxmsel() {
}
function defaultLiaallLiaccvNewresamt() {
}
function defaultDidgrpBlkLcrgod() {
}
function defaultDidgrpRecAutdat() {
}
function defaultDidgrpRecIdcode() {
}
function defaultDidgrpRecDkflg() {
}
function defaultDidgrpRmbPtsAdrblk() {
}
function defaultSetmodZmqacclab() {
}
function defaultDidgrpRecShptrs() {
}
function defaultDitpAplpDet() {
}
function defaultDidgrpAdvPtsExtkey() {
}
function defaultLiaallLimmodLimptsGet2() {
}
function defaultDitpAdlcndButtxmsel() {
}
function defaultLiaallLimmodLimptsGet1() {
}
function defaultBchname(rule, value, callback) {
    const that = this;
    that.executeDefault("bchname").then(res => {
        that.model.bchname = res.data.bchname;
        callback()
    })
}
function defaultDidgrpRecTenmaxday(rule, value, callback) {
    const that = this;
    that.executeDefault("didgrp.blk.defdet").then(res => {
        //TODO
        Utils.copyValueFromVO(this.model, res.data)
        callback()
    })
}
function defaultDitpRemark(rule, value, callback) {
    const that = this;
    that.executeDefault("ditp.remark").then(res => {
        that.model.ditp.remark = res.data.ditp_remark;
        callback()
    })
}
function defaultLiaallLimmodLimptsOthPtsExtkey() {
}
function defaultDidgrpRecNam() {
}
function defaultLiaallButmisamt() {
}
function defaultLiaallLimmodEcifno() {
}
function defaultLiaallLiaccvChgcurflg() {
}
function defaultDitpInsbnkButtxmsel() {
}
function defaultDitpBenpPtsgetSdamodDadsnd() {
}
function defaultDidgrpIssPtsExtkey() {
}
function defaultDidgrpRecFqzytgfw() {
}
function defaultDitpAplpPtsgetSdamodDadsnd() {
}
function defaultDidgrpAvbPtsBankno() {
}
function defaultDidgrpRmbPtsBankno() {
}
function defaultTrnmodTrndocAmdapl() {
}
function defaultLiaallLiaccvPctresamt() {
}
function defaultDitpLcrdocButtxmsel() {
}
function defaultMtabutConinfOitsetOitInflev() {
}
function defaultDitpDefdetButtxmsel() {
}
function defaultDidgrpBebPtsBankno() {
}
function defaultDidgrpAplPtsAdrblk() {
}
function defaultDidgrpRecLcrtyp(rule, value, callback) {
    const that = this;
    that.executeRule("didgrp.rec.lcrtyp").then(res => {
        //TODO
        callback()
    })
}
function defaultLiaallLimmodLimptsWrkPtsExtkey() {
}
function defaultMtabutConinfConexedat() {
}
function defaultDidgrpBenPtsAdrblk() {
}
function defaultLiaallLimmodLimptsNonrevflg2() {
}
function defaultLiaallLimmodLimptsNonrevflg1() {
}
function defaultLiaallLiaccvAddinf() {
}
function defaultTrnmodTrndocAmdnam() {
}
function defaultLiaallLiaccvCshpct() {
}
function defaultDidgrpBlkPreper(rule, value, callback) {
    const that = this;
    that.executeDefault("didgrp.blk.preper").then(res => {
        that.model.didgrp.blk.preper = res.data.didgrp_blk_preper;
        callback()
    })
}
function defaultDidgrpCbsMaxAmt() {
}

function defaultDidgrpRecNomtop(rule, value, callback) {
    caculateMaxAmt(this, callback)
}

function defaultDidgrpRecNomton(rule, value, callback) {
    // caculateMaxAmt(this, callback)
}

function caculateMaxAmt (that, callback) {
    that.executeDefault("didgrp.cbs.max.amt").then(res => {
        // 大写金额
        that.model.ditp.amt = res.data.ditp_amt;
        // 摘要
        that.model.didgrp.rec.nam = res.data.didgrp_rec_nam;
        // 信用证最大金额
        that.model.didgrp.cbs.max.amt = res.data.didgrp_cbs_max_amt;
        if (callback) {
            callback()
        }
    })
}